Platform API reference

Platform API · Workspaces

get/v1/workspacesAuth

List workspaces the current user belongs to

Query parameters

limitinteger

Page size. Defaults to 20, clamped to 100.

cursorstring

Opaque `next_cursor` from the previous page.

Response · 200

data*array

One page of workspaces the caller belongs to.

pagination*object
next_cursor*string

Pass as `cursor` to get the next page; `null` on the last page.

Example: null

has_more*boolean

Whether another page follows this one.

Example: false

Example

Request

GET https://api.platform-auth.productcraft.co/v1/workspaces
Authorization: Bearer YOUR_TOKEN

Response

{
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "slug": "acme-corp",
      "display_name": "Acme Corp",
      "created_by": "00000000-0000-0000-0000-000000000000",
      "status": "active",
      "settings": {},
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z",
      "member_role_id": "00000000-0000-0000-0000-000000000000",
      "member_role": "owner"
    }
  ],
  "pagination": {
    "next_cursor": null,
    "has_more": false
  }
}